<?php
/*
|--------------------------------------------------------------------------
| Загрузка классов
|--------------------------------------------------------------------------
*/
spl_autoload_register(function ($class) {
    $path = __DIR__ . '\\' . $class . '.php';
    $path = str_replace('\\', DIRECTORY_SEPARATOR, $path);

    if (is_readable($path)) {
        require $path;
    }
});

/*
|--------------------------------------------------------------------------
| Автозагрузка подключаемых библиотек
|--------------------------------------------------------------------------
*/
require_once $_SERVER['DOCUMENT_ROOT'] . '/vendor/autoload.php';